=== debian/changelog ===
ros-crystal-gazebo-ros (3.2.0-0bionic) bionic; urgency=high

  * [ros2] Disable test_node to clean CI (#901 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/901>)
    * [ros2] Disable test_node to clean CI
    * uncrustify
  * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
  * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
  * Fix Windows conflicting macros and missing usleep (#885 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/885>)
    * Fix conflicting Windows macros and missing usleep
    * fix spacing
    * fix spacing again
    * remove lint
  * Call rclcpp::init() only from gazebo_ros_init (#859 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/859>)
  * [ros] Revert sim time test (#853 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/853>)
  * Contributors: Jonathan Noyola, Tamaki Nishino, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Mar 2019 07:00:00 -0000

ros-crystal-gazebo-ros (3.1.0-0bionic) bionic; urgency=high

  * [ros2] Camera and triggered camera (#827 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/827>)
    * move gazebo_ros_camera and some functionality from gazebo_ros_camera_utils, needs master branch of image_transport and message_filters, not functional, but compiling
    * port PutCameraData, needs common_interfaces PR #58 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/58>
    * move camera worlds, fix compilation, image can be seen on RViz
    * Port camera test: simplify world, use ServerFixture for better control and not to need launch - test is hanging on exit, not sure why
    * fix test hanging on exit
    * port camera16bit test and fix world copying on make
    * Start porting camera distortion tests: must port cam_info, 2nd test failing
    * sortout camera_name and frame_name
    * Port gazebo_ros_camera_triggered as part of gazebo_ros_camera, with test
    * Use camera_info_manager from branch ci_manager_port_louise, enable barrel distortion test - passes but segfaults at teardown, could be a problem with having 2 plugins side-by-side.
    * linters and comment out crashing test
    * Demo worlds, doxygen, more node tests
    * Use image_transport remapping
    * adapt to new image_transport pointer API
    * new API
  * fix rclcpp::init when there are no arguments
  * [ros2] Adapt sim time test to work around rclcpp issue
  * Contributors: Louise Poubel, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-crystal-gazebo-ros (3.0.0-0bionic) bionic; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * [ros2] Port diff_drive plugin to ros2 (#806 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/806>)
    * copy gazebo_ros_diff_drive files from unported
    * Fix copy and paste error for exporting  gazebo_ros_joint_state_publisher
    * Add gazebo_ros_diff_drive to CMakeLists.txt
    * Basic structures updated
    includes updated
    include guards updated
    CMake rules added
    Not compiling yet
    * starting deboostifying
    updating lock
    header passing compile
    diff drive plugin compiling
    clear all references to callback queue
    * pimpl, remove joint state publisher
    * documentation, add TF publishers - commands and publishers work, but visualization on RViz is jerky, must check
    * pass linters
    * check that reset works now, rename params, add missing package
    * remap topics, add pub/sub test
    * sleep longer to see if it passes on Jenkins
  * Remove node_name from <ros> SDF tag (#804 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/804>)
    * Rename Node::Create to Node::Get
    * Node::Get without node name
    * Remove node_name support from SDF
    * wip get name from plugin name
    * Remove node name argument (will be inferred from sdf)
    * fix tests and implement static shared node
    * Adding test file
  * [ros2] Split conversions into headers specific to message packages (#803 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/803>)
    * Tests depend on sensor_msgs
    * Move conversions to different headers to minimise deps brought in
    * Remove conversions namespace
    * Include updates
    * Update message package dependencies
    gazebo_ros doesn't need sensor_msgs or geometry_msgs anymore
    * Export msg pacakges so downstream packages depend
    * Include msg headers used directly
    * removing redundant dependencies
    * fix build and cpplint
  * working demo, notes and warnings about issues
  * fix build by adding includes
  * Test correctness of ray_sensor intensity
  * Add Point32->ign vector conversion, fix pointcloud conversion
  * Simplify ray_sensor using gazebo_ros conversions
  * Add LaserScan conversions to gazebo_ros
  * [ros2] Add clock publisher to gazebo_ros_init for use_sim_time support (#794 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/794>)
    * Add Throttler to gazebo_ros utilities
    * Add sim time to gazebo_ros_init

