=== debian/control ===
Source: ros-crystal-gazebo-ros
Section: misc
Priority: extra
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gtest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-builtin-interfaces, ros-crystal-gazebo-dev, ros-crystal-gazebo-msgs, ros-crystal-geometry-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-msgs, ros-crystal-std-srvs, ros-crystal-tinyxml-vendor, ros-crystal-ros-workspace
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-crystal-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-builtin-interfaces, ros-crystal-gazebo-dev, ros-crystal-gazebo-msgs, ros-crystal-geometry-msgs, ros-crystal-rclcpp, ros-crystal-sensor-msgs, ros-crystal-std-srvs, ros-crystal-tinyxml-vendor, ros-crystal-ros-workspace
Description: Utilities to interface with Gazebo through ROS.
